#include "MaClasseAddon.h"

////////////////////////////////////////////////////////////////////////////
// clbkConsumeBufferedKey - CallBack Orbiter
// ----------------------
//
// Fonction appelle par orbiter quand l'utilisateur  appuy une touche clavier
// cette fonction doit retourner "0" si la touche clavier n'a pas t traite
// par vous (ne concerne pas votre code) ou "1" dans le cas contraire.
//
////////////////////////////////////////////////////////////////////////////
int MonAddon::clbkConsumeBufferedKey(DWORD key, bool down, char *kstate)
{

	// ne traite que quand la touche est enfonce pas quand elle remonte
	if (!down) 
		return 0; 


	///////////////////////////////////////////////////////////////////////
	// traite notre touche "C" qui va remettre le compteur  zero.
	// Je vous ai mis aussi un exemple de traitement avec la touche shift (SHIFT+KEY)
	// et aussi avec la touche control (CTRL+KEY)
	// Pour voir les autre code clavier (ex OAPI_KEY_E) cliquez droit et 
	// "aller a definition" ca va ouvrir le header ou toutes les touches
	// sont dfinie.
	///////////////////////////////////////////////////////////////////////


	// si touche SHIFT enfonce
	if (KEYMOD_SHIFT (kstate)) 
	{
		// teste si une touche est enfonce en mme temps que shift
		// juste pour l'exemple je vous ai mis "E" et "B"
		// mais ca ne fait rien.
		switch (key) 
		{
		case OAPI_KEY_E:
			// execute code si touche "SHIFT+E"
			return 1;
		case OAPI_KEY_B:
			// execute code si touche "SHIFT+B"
			return 1;
		}	
	} 
	// si touche CONTROL enfonce
	else if (KEYMOD_CONTROL (kstate)) 
	{
		// teste si une touche est enfonce en mme temps que control
		// juste pour l'exemple je vous ai mis "E" et "B"
		// mais ca ne fait rien.
		switch (key) 
		{
		case OAPI_KEY_E:
			// execute code si touche "CTRL+E"
			return 1;
		case OAPI_KEY_B:
			// execute code si touche "CTRL+B"
			return 1;
		}	
	} 
	// Aucune touche control ou shift enfonce
	// teste les touche normale.
	else 
	{ 
		switch (key) 
		{
		case OAPI_KEY_C:
			// touche "C" enfonce, execute la fonction qui remet a zro notre valeur
			// compteur et retourne 1 qui dis a Orbiter que nous avons intercept
			// cette touche.
			RemiseAZeroTempDeSimulation();
			return 1;
		case OAPI_KEY_B:
			// touche "B" enfonce, joue notre son "salut les gars" dans le cockpit
			PlayVesselWave(MyID,MONWAVDEBOUTLESGARS); 
			return 1;
		case OAPI_KEY_1:
			// touche "1" enfonce, joue la demo de la fonction "ChargeEtJoue"
			ChargeEtJoue("ToucheUn.wav"); // c'est d'une simple non ? C'est dingue !
			return 1;
		case OAPI_KEY_2:
			// touche "2" enfonce, joue la demo de la fonction "ChargeEtJoue"
			ChargeEtJoue("ToucheDeux.wav",255,&_V(-3,0,0)); // Joue ce son en 3D 3m sur la gauche
			return 1;
		case OAPI_KEY_3:
			// touche "2" enfonce, joue la demo de la fonction "ChargeEtJoue"
			ChargeEtJoue("ToucheTrois.wav",255,&_V(3,0,0)); // Joue ce son en 3D 3m  droite
			return 1;
		}	

	}


	// retourne 0 si aucun traitement fait
	return 0;
}